import {Component} from '@angular/core';
import {ClipboardService, IClipboardResponse} from "ngx-clipboard";
import {MatSnackBar} from "@angular/material";
import {environment} from "../environments/environment";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  title = 'Testing system';
  public static API_ENDPOINT = environment.apiEndpoint;

  constructor(private _clipboardService: ClipboardService, private snackBar: MatSnackBar) {
    this.handleClipboardResponse();
  }

  handleClipboardResponse() {
    this._clipboardService.copyResponse$.subscribe((res: IClipboardResponse) => {
      if (res.isSuccess) {
        this.snackBar.open('Ссылка на тест для кандидата скопирована', 'Ок', {
          duration: 2000
        });
      }
    });
  }
}
