import {Component, OnInit} from '@angular/core';
import {TestService} from "../../../service/test.service";
import {Router} from "@angular/router";
import {ClipboardService} from "ngx-clipboard";

@Component({
  selector: 'app-candidate-test-list',
  templateUrl: './candidate-test-list.component.html',
  styleUrls: ['./candidate-test-list.component.css']
})
export class CandidateTestListComponent implements OnInit {

  public displayedColumns: string[] = ['id', 'link', 'note', 'created',
    'testStarted', 'testFinished', 'status', 'correctAnswers', 'duration'];

  constructor(private testService: TestService, private router: Router, private clipboardService: ClipboardService) {
  }

  public candidateTests = [];

  ngOnInit() {
    this.testService.getCandidateTests().subscribe( (response) => {

      this.candidateTests = response['data'];

    }, error => console.log(error.message));
  }

  copyCandidateTestLink = (link) => {
    this.clipboardService.copy(location.origin + "/test-session/" + link);
  }

}
