import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';

import {TestRoutingModule} from './test-routing.module';
import {CandidateTestNoteDialog, TestListComponent} from "./test-list/test-list.component";
import {
  MatDatepickerModule,
  MatDialogModule,
  MatFormFieldModule,
  MatListModule,
  MatNativeDateModule,
  MatSelectModule,
  MatSnackBarModule,
  MatTableModule,
  MatTooltipModule
} from "@angular/material";
import {MatIconModule} from '@angular/material/icon';
import {MatExpansionModule} from '@angular/material/expansion';
import {TestEditComponent} from './test-edit/test-edit.component';
import {MatInputModule} from '@angular/material/input';
import {FormsModule, ReactiveFormsModule} from "@angular/forms";
import {MatButtonModule} from '@angular/material/button';
import {CandidateTestListComponent} from './candidate-test-list/candidate-test-list.component';
import {ClipboardModule} from 'ngx-clipboard';


@NgModule({
  imports: [
    CommonModule,
    TestRoutingModule,
    MatTableModule,
    MatIconModule,
    MatExpansionModule,
    MatFormFieldModule,
    MatInputModule,
    ReactiveFormsModule,
    MatListModule,
    MatButtonModule,
    MatSnackBarModule,
    MatDialogModule,
    FormsModule,
    MatTooltipModule,
    MatDatepickerModule,
    MatNativeDateModule,
    ClipboardModule,
    MatSelectModule
  ],
  declarations: [TestListComponent, TestEditComponent, CandidateTestListComponent, CandidateTestNoteDialog],
  entryComponents: [
    CandidateTestNoteDialog
  ]
})
export class TestModule {}
