import {HttpEvent, HttpHandler, HttpHeaders, HttpInterceptor, HttpRequest} from '@angular/common/http';
import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';
import {AuthenticationService} from './auth/auth.service';

@Injectable()
export class HttpInterceptorService implements HttpInterceptor {

  constructor(private authenticationService: AuthenticationService) { }

  intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>> {
    console.log("before if intercept");
    if (this.authenticationService.isUserLoggedIn()) {
      let user = this.authenticationService.getLoggedInUser();
      const authReq = req.clone({
        headers: new HttpHeaders({
          'Content-Type': 'application/json',
          'Authorization': user.authData
        })
      });
      console.log("awesome!");
      return next.handle(authReq);
    } else {
      console.log("fake intcp");
      return next.handle(req);
    }
  }
}
