import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {SidebarLayoutComponent} from './sidebar-layout/sidebar-layout.component';
import {MainLayoutComponent} from "./main-layout/main-layout.component";
import {AuthGuardService} from "../auth/auth-guard.service";

const routes: Routes = [
  {
    path: '',
    redirectTo: '/test',
    pathMatch: 'full',
    canActivate: [AuthGuardService]
  },
  {
    path: '',
    component: MainLayoutComponent,
    children: [
      { path: 'test-session', loadChildren: '../components/test-session/test-session.module#TestSessionModule' },
      { path: 'login', loadChildren: '../components/login/login.module#LoginModule' }
    ]
  },
  {
    path: '',
    component: SidebarLayoutComponent,
    children: [
      { path: 'dashboard', loadChildren: '../components/dashboard/dashboard.module#DashboardModule' },
      { path: 'test', loadChildren: '../components/test/test.module#TestModule' }
    ],
    canActivate: [AuthGuardService]
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class LayoutRoutingModule { }
