import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';

import {LayoutRoutingModule} from './layout-routing.module';
import {FooterComponent} from './footer/footer.component';
import {HeaderComponent} from './header/header.component';
import {SidebarLayoutComponent} from './sidebar-layout/sidebar-layout.component';
import {SidebarComponent} from './sidebar/sidebar.component';

import {FlexLayoutModule} from '@angular/flex-layout';
import {MainLayoutComponent} from './main-layout/main-layout.component';
import {MatListModule} from "@angular/material";
import {CountdownModule} from "ngx-countdown";


@NgModule({
  imports: [
    CommonModule,
    LayoutRoutingModule,
    FlexLayoutModule,
    MatListModule,
    CountdownModule
  ],
  exports: [],
  declarations: [
    SidebarLayoutComponent,
    FooterComponent,
    HeaderComponent,
    SidebarComponent,
    MainLayoutComponent
  ]
})
export class LayoutModule { }
