CREATE SEQUENCE rates_seq
    INCREMENT 1
    MINVALUE 1
    MAXVALUE 9223372036854775807
    START 1
    CACHE 1;

CREATE TABLE rates
(
    id            BIGINT PRIMARY KEY DEFAULT nextval('rates_seq'),
    name          VARCHAR (256)       NOT NULL,
    bill_price    numeric(10, 2) NOT NULL,
    test_amount   INTEGER        NOT NULL,
    sys_operation character varying(255),
    sys_ds        timestamp with time zone,
    sys_name      character varying(255),
    sys_login     character varying(255)
);

CREATE TABLE rates_history
(
    history_id    bigint PRIMARY KEY NOT NULL,
    id            BIGINT             NOT NULL,
    name          VARCHAR(256)            NOT NULL,
    bill_price    numeric(10, 2)     NOT NULL,
    test_amount   INTEGER            NOT NULL,
    sys_operation character varying(255),
    sys_ds        timestamp with time zone,
    sys_name      character varying(255),
    sys_login     character varying(255)
);

CREATE TRIGGER trg_rates_history
    BEFORE INSERT OR UPDATE OR DELETE
    ON rates
    FOR EACH ROW
EXECUTE PROCEDURE trgf_all_history();
