DROP TABLE candidate_tests IF EXISTS;
DROP SEQUENCE candidate_test_seq IF EXISTS;

CREATE SEQUENCE candidate_test_seq
    AS INTEGER
    START WITH 100000;

CREATE TABLE candidate_tests
(
    id                      INTEGER GENERATED BY DEFAULT AS SEQUENCE candidate_test_seq PRIMARY KEY,
    test_id                 INTEGER                     NOT NULL,
    link_code               VARCHAR(64)                 NOT NULL,
    description             VARCHAR(1024)               NOT NULL,
    name                    VARCHAR(256),
    note                    VARCHAR(1024)               NOT NULL,
    candidate_name          VARCHAR(256),
    test_started            timestamp without time zone,
    test_finished           timestamp without time zone,
    created                 timestamp without time zone NOT NULL,
    status                  varchar(32)                 NOT NULL,
    duration                INTEGER                     NOT NULL,
    user_id                 INTEGER                     NOT NULL,
    question_number         INTEGER                     NOT NULL,
    level                   VARCHAR(32)                 NOT NULL,
    position                VARCHAR(32)                 NOT NULL,
    correct_question_number INTEGER,
    not_viewed              BOOLEAN default FALSE,
    increased_complexity     BOOLEAN default FALSE,
    archived     BOOLEAN default FALSE
);
CREATE UNIQUE INDEX candidate_tests_link_code_idx ON candidate_tests (link_code);
