package com.example.new_test_lab.config;

import com.example.new_test_lab.email.EmailService;
import com.example.new_test_lab.repository.SysParamsRepository;
import com.example.new_test_lab.tinkoff.Tinkoff;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Lazy;
import org.springframework.security.crypto.encrypt.TextEncryptor;


@Configuration
@Lazy
public class LazyBeanConfig {
    @Autowired
    private SysParamsRepository paramsRepository;
    @Autowired
    private TextEncryptor textEncryptor;

    @Bean
    public EmailService emailService() {
        return new EmailService(paramsRepository.get(), textEncryptor);
    }

    @Bean
    public Tinkoff tinkoff() {
        return new Tinkoff(paramsRepository.get());
    }
}
