package com.example.new_test_lab.controller.response;


import com.example.new_test_lab.exception.Exceptions;
import com.example.new_test_lab.exception.ServerException;

public class FailResponse extends BaseResponse {

    public FailResponse(int code, String message) {
        super(new Data(code, message));
        setFailStatus();
    }

    public FailResponse(ServerException e) {
        super(new Data(e.getCode(), e.getMessage()));
        setFailStatus();
    }

    public FailResponse(Exceptions exception) {
        super(new Data(exception.getCode(), exception.getMessage()));
        setFailStatus();
    }

    private static class Data {
        private Error error;

        private Data(int code, String message) {
            error = new Error(code, message);
        }

        public Error getError() {
            return error;
        }

        private static class Error {
            private int code;
            private String message;

            public Error(int code, String message) {
                this.code = code;
                this.message = message;
            }

            public int getCode() {
                return code;
            }

            public String getMessage() {
                return message;
            }
        }
    }
}
