package com.example.new_test_lab.dto;

import com.example.new_test_lab.model.CandidateAnswer;
import com.fasterxml.jackson.annotation.JsonInclude;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class CandidateAnswerDto {
    protected Long id;
    private Long candidateQuestionId;
    private String description;
    private Boolean correct;
    private Boolean selected;

    public CandidateAnswerDto() {
    }

    public CandidateAnswerDto(CandidateAnswer candidateAnswer, boolean setCorrect) {
        this.id = candidateAnswer.getId();
        this.candidateQuestionId = candidateAnswer.getCandidateQuestionId();
        this.description = candidateAnswer.getDescription();
        if (setCorrect)
            this.correct = candidateAnswer.isCorrect();
        this.selected = candidateAnswer.isSelected();
    }

    public Long getId() {
        return id;
    }

    public Long getCandidateQuestionId() {
        return candidateQuestionId;
    }

    public String getDescription() {
        return description;
    }

    public Boolean isCorrect() {
        return correct;
    }

    public Boolean isSelected() {
        return selected;
    }
}
