package com.example.new_test_lab.dto;

import com.example.new_test_lab.model.CandidateQuestion;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonUnwrapped;

import java.util.List;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class CandidateQuestionDto {
    @JsonUnwrapped
    private CandidateQuestion question;
    private List<CandidateAnswerDto> answers;
    private Boolean answeredCorrectly;

    public CandidateQuestionDto() {
    }

    public CandidateQuestionDto(CandidateQuestion question, List<CandidateAnswerDto> answers) {
        this(question, answers, null);
    }

    public CandidateQuestionDto(CandidateQuestion question, List<CandidateAnswerDto> answers, Boolean answeredCorrectly) {
        this.question = question;
        this.answers = answers;
        this.answeredCorrectly = answeredCorrectly;
    }

    public CandidateQuestion getQuestion() {
        return question;
    }

    public void setQuestion(CandidateQuestion question) {
        this.question = question;
    }

    public List<CandidateAnswerDto> getAnswers() {
        return answers;
    }

    public void setAnswers(List<CandidateAnswerDto> answers) {
        this.answers = answers;
    }

    public Boolean getAnsweredCorrectly() {
        return answeredCorrectly;
    }

    public void setAnsweredCorrectly(boolean answeredCorrectly) {
        this.answeredCorrectly = answeredCorrectly;
    }
}
