package com.example.new_test_lab.dto;

import com.example.new_test_lab.jackson.CustomEnumDeserializer;
import com.example.new_test_lab.jackson.CustomEnumSerializer;
import com.example.new_test_lab.model.enums.PaymentMethod;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import jakarta.validation.constraints.Positive;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;


@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
public class CreateOrderDto {

    @Positive(message = "{test.system.error.rate.id}")
    private Long rateId;

    @JsonSerialize(using = CustomEnumSerializer.class)
    @JsonDeserialize(using = CustomEnumDeserializer.class)
    private PaymentMethod paymentMethod;

}
