package com.example.new_test_lab.dto;

import com.example.new_test_lab.model.Answer;
import com.example.new_test_lab.model.Question;
import com.fasterxml.jackson.annotation.JsonUnwrapped;
import jakarta.validation.Valid;
import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.Size;

import java.util.List;

public class QuestionDto {
    @Valid
    @JsonUnwrapped
    private Question question;
    @Valid
    @Size(min = 2, message = "{test.system.error.question.answers}")
    @NotEmpty(message = "{test.system.error.question.answers}")
    private List<Answer> answers;

    public QuestionDto() {
    }

    public QuestionDto(Question question, List<Answer> answers) {
        this.question = question;
        this.answers = answers;
    }

    public Question getQuestion() {
        return question;
    }

    public List<Answer> getAnswers() {
        return answers;
    }
}
