package com.example.new_test_lab.dto;

import com.example.new_test_lab.jackson.CustomLocalDateTimeDeserializer;
import com.example.new_test_lab.jackson.CustomLocalDateTimeSerializer;
import com.example.new_test_lab.model.enums.Role;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import jakarta.validation.constraints.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.Set;


@Data
@NoArgsConstructor
@AllArgsConstructor
public class UserDto {
    @Positive(message = "{test.system.error.user.id}")
    protected Long id;
    @NotBlank(message = "{test.system.error.user.email}")
    @Email(message = "{test.system.error.user.emailFormat}")
    private String email;
    @Pattern(regexp = "\\d{11,15}", message = "{test.system.error.user.phone}")
    private String phone;
    private Boolean enabled;
    @JsonSerialize(using = CustomLocalDateTimeSerializer.class)
    @JsonDeserialize(using = CustomLocalDateTimeDeserializer.class)
    private LocalDateTime registered;
    @Size(min = 6, message = "{test.system.error.user.passSize}")
    private String password;
    private boolean confirmed;
    private Set<Role> roles;
    @Size(max = 128, message = "{test.system.error.user.nameSize}")
    private String firstName;
    @Size(max = 128, message = "{test.system.error.user.nameSize}")
    private String lastName;
    @Size(max = 128, message = "{test.system.error.user.nameSize}")
    private String middleName;
    private long companyInfoId;

}
