package com.example.new_test_lab.exception;


import lombok.Getter;

@Getter
public enum Exceptions {

    SYSTEM_ERROR(-1, "test.system.error"),
    NOT_FOUND(1, "test.system.error.notFound"),
    CANT_START_TEST(2, "test.system.error.candidateTest.alreadyStarted"),
    CANT_FINISH_TEST(3, "test.system.error.candidateTest.cantFinish"),
    ILLEGAL_ARGUMENT(4, "test.system.error.badArgument"),
    WRONG_STATUS(4, "test.system.error.badStatus"),
    ALREADY_CONFIRMED(5, "test.system.error.alreadyConfirmed"),
    WRONG_CONFIRMATION_CODE(6, "test.system.error.wrongConfirmationCode"),
    CAN_NOT_REGISTER_MORE_USERS(7, "test.system.error.userLimit"),
    CAN_NOT_CREATE_MORE_TESTS(8, "test.system.error.testLimit"),
    NOT_ENOUGH_QUESTIONS_FOR_TEST(9, "test.system.error.notEnoughQuestions"),
    QUESTIONS_ALREADY_ANSWERED(10, "test.system.error.questionAnswered"),
    PAYMENT_ERROR(11, "test.system.error.payment"),
    CRYPTO_ERROR(12, "test.system.error.crypto"),
    EMAIL_ALREADY_EXISTS(13, "test.system.error.emailExists"),
    PARAMS_NOT_FOUND(14, "test.system.error.paramsNotFound"),
    PHONE_ALREADY_EXISTS(15, "test.system.error.phoneExists"),
    EMAIL_NOT_CONFIRMED(16, "test.system.error.emailNotConfirmed"),
    FILL_COMPANY_INFO(17, "test.system.error.fillCompanyInfo"),
    CAN_NOT_VIEW_ANSWERS(18, "test.system.error.cantViewAnswers"),
    FORBIDDEN(403, "test.system.error.bad.request"),
    BAD_REQUEST(400, "test.system.error.bad.request");

    private int code;

    private String message;

    Exceptions(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getMessage(String... args) {
        return message;
    }

}
