package com.example.new_test_lab.jackson;

import com.example.new_test_lab.model.enums.Level;
import com.example.new_test_lab.model.enums.PaymentMethod;
import com.example.new_test_lab.model.enums.Position;
import com.example.new_test_lab.model.enums.QuestionType;
import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.deser.std.StdDeserializer;

import java.io.IOException;

public class CustomEnumDeserializer extends StdDeserializer<Enum> {

    public CustomEnumDeserializer() {
        this(null);
    }

    public CustomEnumDeserializer(Class<Enum> vc) {
        super(vc);
    }

    @Override
    public Enum deserialize(JsonParser p, DeserializationContext ctxt) throws IOException, JsonProcessingException {
        JsonNode node = p.getCodec().readTree(p);
        String enumValue = node.asText("");
        Enum e = null;
        if ((e = Level.getLevelByCode(enumValue)) != null)
            return e;
        else if ((e = Position.getPositionByCode(enumValue)) != null)
            return e;
        else if ((e = QuestionType.getQuestionTypeByCode(enumValue)) != null)
            return e;
        else if ((e = PaymentMethod.getByCode(enumValue)) != null)
            return e;
        return null;
    }
}
