package com.example.new_test_lab.jackson;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;
import org.apache.commons.lang3.text.WordUtils;

import java.io.IOException;

public class CustomEnumSerializer extends StdSerializer<Enum> {

    public CustomEnumSerializer() {
        this(null);
    }

    public CustomEnumSerializer(Class<Enum> t) {
        super(t);
    }

    @Override
    public void serialize(Enum value, JsonGenerator gen, SerializerProvider provider) throws IOException {
        gen.writeString(WordUtils.capitalizeFully(value.name()));
    }
}
