package com.example.new_test_lab.jackson;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import java.io.IOException;
import java.time.LocalDateTime;
import java.time.ZoneOffset;

public class ToLongLocalDateTimeSerializer extends StdSerializer<LocalDateTime> {

    public ToLongLocalDateTimeSerializer() {
        this(null);
    }

    public ToLongLocalDateTimeSerializer(Class<LocalDateTime> t) {
        super(t);
    }

    @Override
    public void serialize(LocalDateTime value, JsonGenerator gen, SerializerProvider provider) throws IOException {
        gen.writeNumber(value.toEpochSecond(ZoneOffset.UTC));
    }

}
