package com.example.new_test_lab.model;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Size;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@NoArgsConstructor
@AllArgsConstructor
public class Answer implements HasId {
    private Long id;
    private Long questionId;
    @NotBlank(message = "{test.system.error.answer.description}")
    @Size(min = 1, max = 1024, message = "{test.system.error.answer.description}")
    private String description;
    private boolean correct;

    public Answer(Answer answer) {
        this(answer.getId(), answer.getQuestionId(), answer.getDescription(), answer.isCorrect());
    }
}
