package com.example.new_test_lab.model;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Size;
import lombok.*;



@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class CandidateAnswer implements HasId {

    protected Long id;
    @NotNull
    private Long candidateQuestionId;
    @NotBlank
    @Size(min = 1, max = 1024)
    private String description;
    private boolean correct;
    private boolean selected;

    public CandidateAnswer(CandidateAnswer answer) {
        this(answer.getId(), answer.getCandidateQuestionId(), answer.getDescription(), answer.isCorrect(), answer.isSelected());
    }
}
