package com.example.new_test_lab.model;

import com.example.new_test_lab.jackson.CustomEnumDeserializer;
import com.example.new_test_lab.jackson.CustomEnumSerializer;
import com.example.new_test_lab.model.enums.QuestionType;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Size;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@NoArgsConstructor
@AllArgsConstructor
public class CandidateQuestion implements HasId {

    protected Long id;
    @NotNull
    private Long candidateTestId;
    @NotBlank
    @Size(min = 1, max = 1024)
    private String description;
    @NotNull
    @Size(min = 1, max = 64)
    private String topicName;
    @NotNull
    @JsonSerialize(using = CustomEnumSerializer.class)
    @JsonDeserialize(using = CustomEnumDeserializer.class)
    private QuestionType type;
    @NotNull
    private boolean answered;

    public CandidateQuestion(CandidateQuestion question) {
        this(question.getId(), question.getCandidateTestId(), question.getDescription(), question.getTopicName(), question.getType(), question.isAnswered());
    }
}
