package com.example.new_test_lab.model;

import com.example.new_test_lab.jackson.CustomEnumDeserializer;
import com.example.new_test_lab.jackson.CustomEnumSerializer;
import com.example.new_test_lab.jackson.CustomLocalDateTimeDeserializer;
import com.example.new_test_lab.jackson.CustomLocalDateTimeSerializer;
import com.example.new_test_lab.model.enums.CandidateTestStatus;
import com.example.new_test_lab.model.enums.Level;
import com.example.new_test_lab.model.enums.Position;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class CandidateTest implements HasId {
    protected Long id;
    private Long testId;
    private String linkCode;
    private String description;
    private String name;
    private String note;
    private String candidateName;
    @JsonSerialize(using = CustomLocalDateTimeSerializer.class)
    @JsonDeserialize(using = CustomLocalDateTimeDeserializer.class)
    private LocalDateTime created;
    @JsonSerialize(using = CustomLocalDateTimeSerializer.class)
    @JsonDeserialize(using = CustomLocalDateTimeDeserializer.class)
    private LocalDateTime testStarted;
    @JsonSerialize(using = CustomLocalDateTimeSerializer.class)
    @JsonDeserialize(using = CustomLocalDateTimeDeserializer.class)
    private LocalDateTime testFinished;
    private CandidateTestStatus status;
    private Integer duration;
    private Long userId;
    @JsonSerialize(using = CustomEnumSerializer.class)
    @JsonDeserialize(using = CustomEnumDeserializer.class)
    private Level level;
    @JsonSerialize(using = CustomEnumSerializer.class)
    @JsonDeserialize(using = CustomEnumDeserializer.class)
    private Position position;
    private Integer questionNumber;
    private Integer correctQuestionNumber;
    private boolean notViewed;
    private boolean increasedComplexity;
    private boolean archived;

    public CandidateTest(CandidateTest candidateTest) {
        this(candidateTest.getId(), candidateTest.getTestId(), candidateTest.getLinkCode(),
             candidateTest.getDescription(), candidateTest.getName(), candidateTest.getNote(),
             candidateTest.getCandidateName(), candidateTest.getCreated(), candidateTest.getTestStarted(),
             candidateTest.getTestFinished(), candidateTest.getStatus(), candidateTest.getDuration(),
             candidateTest.getUserId(), candidateTest.getLevel(), candidateTest.getPosition(),
             candidateTest.getQuestionNumber(), candidateTest.getCorrectQuestionNumber(), candidateTest.isNotViewed(),
             candidateTest.isIncreasedComplexity(), candidateTest.isArchived());
    }
}
