package com.example.new_test_lab.model;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import org.springframework.data.domain.Persistable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;


@ToString
@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonIgnoreProperties(value = {"id", "new"})
@Entity
@Table(name = "company_infos")
public class CompanyInfo implements HasId, Persistable<Long> {
    @Id
    @SequenceGenerator(name = "company_infos_seq", sequenceName = "company_infos_seq", allocationSize = 1)
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "company_infos_seq")
    protected Long id;
    @Column(name = "type_comp", nullable = false)
    private String typeComp;
    @Column(name = "legal_name_comp", nullable = false)
    private String legalNameComp;
    @Column(name = "inn", nullable = false)
    private String inn;
    @Column(name = "kpp", nullable = false)
    private String kpp;
    @Column(name = "ogrn")
    private String ogrn;
    @Column(name = "bik")
    private String bik;
    @Column(name = "payment_account")
    private String paymentAccount;
    @Column(name = "correspondent_account")
    private String correspondentAccount;
    @Column(name = "bank_name")
    private String bankName;
    @Column(name = "legal_address")
    private String legalAddress;
    @Column(name = "actual_address")
    private String actualAddress;
    @Column(name = "name_ceo")
    private String nameCeo;
    @Column(name = "name_post")
    private String namePost;
    @Column(name = "post_address")
    private String postAddress;

    public CompanyInfo(CompanyInfo companyInfo) {
        this(companyInfo.getId(),
                companyInfo.getTypeComp(),
                companyInfo.getLegalNameComp(),
                companyInfo.getInn(),
                companyInfo.getKpp(),
                companyInfo.getOgrn(),
                companyInfo.getBik(),
                companyInfo.getPaymentAccount(),
                companyInfo.getCorrespondentAccount(),
                companyInfo.getBankName(),
                companyInfo.getLegalAddress(),
                companyInfo.getActualAddress(),
                companyInfo.getNameCeo(),
                companyInfo.getNamePost(),
                companyInfo.getPostAddress());
    }

    @Override
    @JsonIgnore
    public boolean isNew() {
        return id == null;
    }
}
