package com.example.new_test_lab.model;

import com.example.new_test_lab.model.enums.OrderStatus;
import com.example.new_test_lab.model.enums.PaymentMethod;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class Order implements HasId {
    private Long id;
    private String externalOrderId;
    private PaymentMethod paymentMethod;
    private Double amount;
    private Integer testQuantity;
    private Integer subscriptionDays;
    private OrderStatus orderStatus;
    private Long rateId;
    private Long userId;
    private LocalDateTime orderDate = LocalDateTime.now();
    private LocalDateTime paymentDate;
    private LocalDateTime documentsRequestedDate;
    private LocalDateTime documentsRespondedDate;
    private String documentsPostName;
    private String documentsPostAddress;
}
