package com.example.new_test_lab.model;

import com.example.new_test_lab.model.enums.OrderStatus;
import com.example.new_test_lab.model.enums.PaymentMethod;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


import java.time.LocalDateTime;
import java.time.ZoneId;
import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class OrderView {
    private Long id;
    private String externalOrderId;
    private PaymentMethod paymentMethod;
    private Double amount;
    private Integer testQuantity;
    private OrderStatus orderStatus;
    private Long rateId;
    private Long userId;
    private String email;
    private String legalNameComp;
    @JsonIgnore
    private LocalDateTime orderDate;
    @JsonIgnore
    private LocalDateTime paymentDate;
    private Boolean documentsRequested;
    private Boolean documentsResponded;
    @JsonIgnore
    private LocalDateTime documentsRequestedDate;
    @JsonIgnore
    private LocalDateTime documentsRespondedDate;
    private String documentsPostName;
    private String documentsPostAddress;

    @JsonProperty(value = "orderDate")
    public Long getOrderDateAsLong() {
        return orderDate != null ? Date.from(orderDate.atZone(ZoneId.systemDefault()).toInstant()).getTime() : null;
    }

    @JsonProperty(value = "paymentDate")
    public Long getPaymentDateAsLong() {
        return paymentDate != null ? Date.from(paymentDate.atZone(ZoneId.systemDefault()).toInstant()).getTime() : null;
    }

    @JsonProperty(value = "documentsRequestedDate")
    public Long getDocumentsRequestedDateAsLong() {
        return documentsRequestedDate != null ? Date.from(documentsRequestedDate.atZone(ZoneId.systemDefault()).toInstant()).getTime() : null;
    }

    @JsonProperty(value = "documentsRespondedDate")
    public Long getDocumentsRespondedDateAsLong() {
        return documentsRespondedDate != null ? Date.from(documentsRespondedDate.atZone(ZoneId.systemDefault()).toInstant()).getTime() : null;
    }
}
