package com.example.new_test_lab.model;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Positive;
import jakarta.validation.constraints.Size;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@NoArgsConstructor
@AllArgsConstructor
public class Rate implements HasId {

    @Positive(message = "{test.system.error.rate.id}")
    private Long id;
    @NotBlank(message = "{test.system.error.rate.name}")
    @Size(min = 1, max = 256, message = "{test.system.error.rate.name}")
    private String name;
    @NotNull(message = "{test.system.error.rate.billPrice}")
    @Positive(message = "{test.system.error.rate.billPrice}")
    private Double billPrice;
    @NotNull(message = "{test.system.error.rate.testAmount}")
    @Positive(message = "{test.system.error.rate.testAmount}")
    private Integer testAmount;
    @NotNull(message = "{test.system.error.rate.subscriptionDays}")
    @Positive(message = "{test.system.error.rate.subscriptionDays}")
    private Integer subscriptionDays;

    public Rate(Rate rate) {
        this(rate.getId(), rate.getName(), rate.getBillPrice(), rate.getTestAmount(), rate.getSubscriptionDays());
    }
}
