package com.example.new_test_lab.model;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Positive;
import jakarta.validation.constraints.Size;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;



@Data
@NoArgsConstructor
@AllArgsConstructor
public class Section implements HasId {

    @Positive(message = "{test.system.error.section.id}")
    private Long id;
    @NotBlank(message = "{test.system.error.section.name}")
    @Size(min = 1, max = 64, message = "{test.system.error.section.name}")
    private String name;

    public Section(Section section) {
        this(section.getId(), section.getName());
    }
}
