package com.example.new_test_lab.model;

import com.example.new_test_lab.email.EmailParams;
import com.example.new_test_lab.tinkoff.TinkoffParams;
import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.PositiveOrZero;
import lombok.Data;


@Data
public class SysParams implements EmailParams, TinkoffParams {
    private String smtpUser;
    private String smtpPassword;
    private String smtpHost;
    private Integer smtpPort;
    private String smtpEmail;
    private String emailName;
    private String emailRegisterConfirmationSubject;
    private String emailRegisterConfirmationMessage;
    private String emailResetPasswordSubject;
    private String emailResetPasswordMessage;
    private String emailFinishTestSubject;
    private String emailFinishTestMessage;
    @NotNull(message = "{test.system.error.params.testBalance}")
    @PositiveOrZero(message = "{test.system.error.params.testBalance}")
    private Integer defaultTestBalance;
    @NotNull(message = "{test.system.error.rate.subscriptionDays}")
    @PositiveOrZero(message = "{test.system.error.rate.subscriptionDays}")
    private Integer defaultSubscriptionDays;
    @NotNull(message = "{test.system.error.params.userLimit}")
    @PositiveOrZero(message = "{test.system.error.params.userLimit}")
    private Integer defaultUserLimit;
    private String tinkoffUrl;
    private String tinkoffTerminalKey;
    private String tinkoffPassword;
    @NotNull(message = "{test.system.error.rate.tempInvoiceStorePath}")
    @NotEmpty(message = "{test.system.error.rate.tempInvoiceStorePath}")
    private String tempInvoiceStorePath;
}
