package com.example.new_test_lab.model;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Positive;
import jakarta.validation.constraints.Size;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@NoArgsConstructor
@AllArgsConstructor
public class Topic implements HasId {

    @Positive(message = "{test.system.error.topic.id}")
    private Long id;
    @NotNull(message = "{test.system.error.topic.sectionId}")
    @Positive(message = "{test.system.error.topic.sectionId}")
    private Long sectionId;
    @NotBlank(message = "{test.system.error.topic.name}")
    @Size(min = 1, max = 64, message = "{test.system.error.topic.name}")
    private String name;

    public Topic(Topic topic) {
        this(topic.getId(), topic.getSectionId(), topic.getName());
    }
}
