package com.example.new_test_lab.model;

import com.example.new_test_lab.model.enums.Role;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;


import java.time.LocalDateTime;
import java.util.EnumSet;
import java.util.Set;

@Data
@ToString
@NoArgsConstructor
public class User implements HasId {
    protected Long id;
    private String email;
    private String phone;
    private String password;
    private boolean enabled = true;
    private LocalDateTime registered;
    private Long parentId;
    private Set<Role> roles;
    private boolean confirmed;
    private String confirmationCode;
    private String resetPasswordCode;
    private String firstName;
    private String lastName;
    private String middleName;
    protected Long companyInfoId;

    public User(User user) {
        this(user.getId(), user.getEmail(), user.getPhone(), user.getPassword(), user.isEnabled(), user.getRegistered(), user.getParentId(), user.getRoles());
    }

    public User(Long id, String email, String phone, String password, Long parentId, Role role, Role... roles) {
        this(id, email, phone, password, true, LocalDateTime.now(), parentId, EnumSet.of(role, roles));
    }

    public User(Long id, String email, String phone, String password, boolean enabled, LocalDateTime registered, Long parentId, Set<Role> roles) {
        this.id = id;
        this.email = email;
        this.phone = phone;
        this.password = password;
        this.enabled = enabled;
        this.registered = registered;
        this.parentId = parentId;
        setRoles(roles);
    }
}
