package com.example.new_test_lab.model.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

@Getter
@RequiredArgsConstructor
public enum CandidateTestStatus {

    NEW("NEW"),
    IN_PROGRESS("IN_PROGRESS"),
    FINISHED("FINISHED"),
    ARCHIVED("ARCHIVED");

    private static final List<CandidateTestStatus> VALUES_LIST = Arrays.asList(CandidateTestStatus.values());

    private static final List<String> STRING_VALUES_LIST = VALUES_LIST.stream()
                                                                      .map(CandidateTestStatus::name)
                                                                      .collect(Collectors.toList());

    private final String code;

    public static CandidateTestStatus getCandidateTestStatusByCode(String code) {
        return code == null
                ? null
                : Arrays.stream(CandidateTestStatus.values())
                        .filter(candidateTestStatus -> candidateTestStatus.getCode().equalsIgnoreCase(code))
                        .findAny()
                        .orElse(null);
    }

    @Override
    public String toString() {
        return code;
    }

    public static List<CandidateTestStatus> valuesList() {
        return VALUES_LIST;
    }

    public static List<String> stringValuesList() {
        return STRING_VALUES_LIST;
    }

}
