package com.example.new_test_lab.model.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

@Getter
@RequiredArgsConstructor
public enum Level {

    JUNIOR("JUNIOR"),
    MIDDLE("MIDDLE"),
    SENIOR("SENIOR");

    private static final List<Level> VALUES_LIST = Arrays.asList(Level.values());

    private static final List<String> STRING_VALUES_LIST = VALUES_LIST.stream()
                                                                      .map(Level::name)
                                                                      .collect(Collectors.toList());

    private final String code;

    public static Level getLevelByCode(String code) {
        return code == null
               ? null
               : Arrays.stream(Level.values())
                       .filter(level -> level.getCode().equalsIgnoreCase(code))
                       .findAny()
                       .orElse(null);
    }

    @Override
    public String toString() {
        return code;
    }

    public static List<Level> valuesList() {
        return VALUES_LIST;
    }

    public static List<String> stringValuesList() {
        return STRING_VALUES_LIST;
    }

}
