package com.example.new_test_lab.model.enums;

public enum OrderStatus {
    NEW("NEW"),
    PENDING("PENDING"),
    CONFIRMED("CONFIRMED"),
    CANCELED("CANCELED"),
    ;

    private String code;

    OrderStatus(String code) {
        this.code = code;
    }

    public static OrderStatus getByCode(String code) {
        if (code == null) {
            return null;
        }
        for (OrderStatus status : values()) {
            if (status.getCode().equalsIgnoreCase(code)) {
                return status;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    @Override
    public String toString() {
        return code;
    }
}
