package com.example.new_test_lab.model.enums;

public enum PaymentMethod {
    BANK_CARD("BANK_CARD"),
    WIRE_TRANSFER("WIRE_TRANSFER"),
    ;

    private String code;

    PaymentMethod(String code) {
        this.code = code;
    }

    public static PaymentMethod getByCode(String code) {
        if (code == null) {
            return null;
        }
        for (PaymentMethod method : values()) {
            if (method.getCode().equalsIgnoreCase(code)) {
                return method;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    @Override
    public String toString() {
        return code;
    }
}
