package com.example.new_test_lab.model.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

@Getter
@RequiredArgsConstructor
public enum Position {

    FRONTEND("FRONTEND"),
    BACKEND("BACKEND"),
    QA("QA"),
    DESIGN("DESIGN");

    private static final List<Position> VALUES_LIST = Arrays.asList(Position.values());

    private static final List<String> STRING_VALUES_LIST = VALUES_LIST.stream()
                                                                      .map(Position::name)
                                                                      .collect(Collectors.toList());

    private final String code;

    public static Position getPositionByCode(String code) {
        return code == null
               ? null
               : Arrays.stream(Position.values())
                       .filter(position -> position.getCode().equalsIgnoreCase(code))
                       .findAny()
                       .orElse(null);
    }

    @Override
    public String toString() {
        return code;
    }

    public static List<Position> valuesList() {
        return VALUES_LIST;
    }

    public static List<String> stringValuesList() {
        return STRING_VALUES_LIST;
    }

}
