package com.example.new_test_lab.model.enums;

public enum QuestionType {
    SINGLE("SINGLE"),
    MULTIPLE("MULTIPLE"),
    DETAILED("DETAILED");

    private String code;

    QuestionType(String code) {
        this.code = code;
    }

    public static QuestionType getQuestionTypeByCode(String code){
        if(code == null) {
            return null;
        }
        for(QuestionType questionType: values()){
            if(questionType.getCode().equalsIgnoreCase(code)){
                return questionType;
            }
        }
        return null;
    }

    public String getCode(){
        return code;
    }

    @Override
    public String toString(){
        return code;
    }
}
