package com.example.new_test_lab.mutex;

import com.google.common.collect.MapMaker;

import java.util.concurrent.ConcurrentMap;

public class MutexFactoryImpl<K> implements MutexFactory<K> {

    private final ConcurrentMap<K, Object> map;

    public MutexFactoryImpl() {
        map = new MapMaker().weakKeys().weakValues().makeMap();
    }

    public Object get(K key) {
        return map.compute(key, (k, v) -> (v == null) ? new Object() : v);
    }

}
