package com.example.new_test_lab.repository;


import com.example.new_test_lab.model.CandidateTest;
import com.example.new_test_lab.model.enums.CandidateTestStatus;

import java.util.List;

public interface CandidateTestRepository {

    boolean delete(long id, long userId);

    boolean archive(long id, long userId);

    boolean unarchive(long id, long userId);

    CandidateTest save(CandidateTest test, long userId);

    CandidateTest getByCode(String code);

    CandidateTest getById(long id);

    CandidateTest getByIdAndUserIds(long id, long... userIds);

    List<CandidateTest> getAll(long... userIds);

    List<CandidateTest> getAll(int page, int size, String sort, long... userIds);

    List<CandidateTest> getAll(int page, int size, String sort, String levels, String position, String status, Boolean isArchived, long... userIds);

    int countAll(long... userIds);

    int countAll(String levels, String positions, String status, Boolean isArchived, long... userIds);

    List<CandidateTest> getExpired();

    boolean updateStatus(long testId, CandidateTestStatus status);

}
