package com.example.new_test_lab.repository;



import com.example.new_test_lab.model.Question;
import com.example.new_test_lab.model.enums.Level;

import java.util.List;

public interface QuestionRepository {

    List<Question> getAllByLevelAndTopicIds(Level level, long... topicIds);

    List<Question> getAllByComplexityAndTopicIds(boolean increasedComplexity, long... topicIds);

    List<Question> getAllByTopic(long topicId, int page, int size, String sort);

    List<Question> getAllByTestId(long testId);

    int[] saveTestQuestions(long id, long... questionIds);

    boolean delete(long id);

    Question save(Question question);

    Question get(long id);

    int countAllByTopicId(long topicId);

    int countAllByLevelAndTopicIds(Level level, long... topicId);

    int countAllByTopicIds(long... topicId);

    int countAllByComplexityAndTopicIds(boolean increasedComplexity, long... topicId);
}
