package com.example.new_test_lab.service;


import com.example.new_test_lab.dto.TopicStatDto;
import com.example.new_test_lab.model.CandidateTest;

import java.util.List;

public interface CandidateTestService {

    List<CandidateTest> getAll(long userId, int page, int size, String sort);

    List<CandidateTest> getAll(long userId, int page, int size, String sort, String level, String position,
                               String status, Boolean isArchived);

    int countAll(long userId);

    int countAll(long userId, String level, String position, String status, Boolean isArchived);

    CandidateTest create(CandidateTest candidateTest, long userId);

    CandidateTest start(String linkCode);

    CandidateTest finish(String linkCode);

    CandidateTest getByLinkCode(String linkCode);

    CandidateTest get(long id, long userId);

    void setViewed(CandidateTest candidateTest, long userId);

    void delete(long id, long userId);

    void archive(long id, long userId);

    void unarchive(long id, long userId);

    List<TopicStatDto> getTopicStatistic(long id);

    CandidateTest getByResultCode(String resultCode);

}
