package com.example.new_test_lab.service.impl;

import com.example.new_test_lab.exception.Exceptions;
import com.example.new_test_lab.exception.ServerException;
import com.example.new_test_lab.model.CompanyInfo;
import com.example.new_test_lab.repository.CompanyInfoRepository;
import com.example.new_test_lab.repository.UserRepository;
import com.example.new_test_lab.service.CompanyInfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


@Slf4j
@Service
@Transactional(readOnly = true)
public class CompanyInfoServiceImpl implements CompanyInfoService {

	private CompanyInfoRepository repository;

	private UserRepository userRepository;

	@Autowired
	public CompanyInfoServiceImpl(CompanyInfoRepository repository, UserRepository userRepository) {
		this.repository = repository;
		this.userRepository = userRepository;
	}

	@Override
	@Transactional
	public CompanyInfo save(CompanyInfo companyInfo) {
		return repository.save(companyInfo);
	}

	@Override
	public CompanyInfo findCompanyInfoById(long id) {
		return repository.findCompanyInfoById(id).orElseThrow(() -> new ServerException(Exceptions.NOT_FOUND));
	}
}
