package com.example.new_test_lab.util;


import com.example.new_test_lab.exception.Exceptions;
import com.example.new_test_lab.exception.ServerException;
import com.example.new_test_lab.model.HasId;

public class ValidationUtil {

    private ValidationUtil() {
    }

    public static <T> T checkNotFoundWithId(T object, long id) {
        return checkNotFound(object, "id=" + id);
    }

    public static void checkNotFoundWithId(boolean found, long id) {
        checkNotFound(found, "id=" + id);
    }

    public static <T> T checkNotFound(T object, String msg) {
        checkNotFound(object != null, msg);
        return object;
    }

    public static void checkNotFound(boolean found, String msg) {
        if (!found) {
            throw new ServerException(Exceptions.NOT_FOUND, msg);
        }
    }

    public static void checkNew(HasId entity, boolean isNew) {
        if (isNew != entity.isNew()) {
            throw new ServerException(Exceptions.ILLEGAL_ARGUMENT);
        }
    }
}
