package com.example.new_test_lab.ws;

import com.example.new_test_lab.event.TestStatusChangedEvent;
import com.fasterxml.jackson.databind.ObjectMapper;
//import com.google.common.annotations.Beta;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.socket.CloseStatus;
import org.springframework.web.socket.TextMessage;
import org.springframework.web.socket.WebSocketSession;
import org.springframework.web.socket.handler.TextWebSocketHandler;

import java.io.IOException;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.CopyOnWriteArrayList;

//@Beta
@Slf4j
@Deprecated
public class WebSocketHandler extends TextWebSocketHandler {
    private static final Map<String, List<WebSocketSession>> sessionMap = new ConcurrentHashMap<>();

    @Override
    public void afterConnectionEstablished(WebSocketSession session) throws Exception {
        String linkCode = session.getAttributes().getOrDefault("linkCode", "").toString();
        if (StringUtils.isNotEmpty(linkCode)) {
            List<WebSocketSession> sessions = sessionMap.getOrDefault(linkCode, new CopyOnWriteArrayList<>());
            sessions.add(session);
            sessionMap.putIfAbsent(linkCode, sessions);
        }
    }

    @Override
    public void afterConnectionClosed(WebSocketSession session, CloseStatus status) throws Exception {
        String linkCode = session.getAttributes().get("linkCode").toString();
        List<WebSocketSession> sessions = sessionMap.get(linkCode);
        sessions.remove(session);
        sessionMap.remove(linkCode);
    }


    public void onTestStatusChangedEvent(TestStatusChangedEvent event) {
        ObjectMapper mapper = new ObjectMapper();
        List<WebSocketSession> sessions = sessionMap.get(event.getLinkCode());
        if (sessions != null) {
            try {
                for (WebSocketSession session : sessions) {
                    session.sendMessage(new TextMessage(mapper.writeValueAsString(event)));
                }
            } catch (IOException e) {
                log.error("Error on sending message via web socket to " + event.getLinkCode());
            }
        }
    }
}
