alter table orders add column documents_requested_date timestamp without time zone;
alter table orders add column documents_responded_date timestamp without time zone;
alter table orders add column documents_post_name character varying;
alter table orders add column documents_post_address character varying;
alter table orders_history add column documents_requested_date timestamp without time zone;
alter table orders_history add column documents_responded_date timestamp without time zone;
alter table orders_history add column documents_post_name character varying;
alter table orders_history add column documents_post_address character varying;

DROP VIEW public.orders_view;

CREATE OR REPLACE VIEW public.orders_view AS
SELECT o.id,
       o.external_order_id,
       o.payment_method,
       o.amount,
       o.test_quantity,
       o.order_status,
       o.rate_id,
       o.user_id,
       u.email,
       ci.legal_name_comp,
       o.order_date,
       o.payment_date,
       (o.documents_requested_date is not null) as documents_requested,
       (o.documents_responded_date is not null) as documents_responded,
       o.documents_requested_date,
       o.documents_responded_date,
       o.documents_post_name,
       o.documents_post_address,
       o.sys_operation,
       o.sys_ds,
       o.sys_name,
       o.sys_login
FROM orders o
         JOIN users u ON o.user_id = u.id
         LEFT JOIN company_infos ci ON u.company_info_id = ci.id;