CREATE SEQUENCE order_seq
    INCREMENT 1
    MINVALUE 1
    MAXVALUE 9223372036854775807
    START 1
    CACHE 1;
CREATE TABLE orders
(
    id                BIGINT PRIMARY KEY          DEFAULT nextval('order_seq'),
    external_order_id varchar(64)    NOT NULL,
    payment_method    varchar(32)    NOT NULL,
    amount            numeric(10, 2) NOT NULL,
    test_quantity     integer        NOT NULL,
    order_status      varchar(32)    NOT NULL,
    rate_id           BIGINT         NOT NULL references rates (id),
    user_id           BIGINT         NOT NULL references users (id),
    order_date        timestamp without time zone default now(),
    payment_date      timestamp without time zone,
    sys_operation     character varying(255),
    sys_ds            timestamp without time zone,
    sys_name          character varying(255),
    sys_login         character varying(255)
);

CREATE TABLE orders_history
(
    history_id        bigint PRIMARY KEY NOT NULL,
    id                BIGINT             NOT NULL,
    external_order_id varchar(64)        NOT NULL,
    payment_method    varchar(32)        NOT NULL,
    amount            numeric(10, 2)     NOT NULL,
    order_status      varchar(32)        NOT NULL,
    rate_id           BIGINT             NOT NULL,
    user_id           BIGINT             NOT NULL,
    order_date        timestamp without time zone,
    payment_date      timestamp without time zone,
    sys_operation     character varying(255),
    sys_ds            timestamp without time zone,
    sys_name          character varying(255),
    sys_login         character varying(255)
);

CREATE TRIGGER trg_orders_history
    BEFORE INSERT OR UPDATE OR DELETE
    ON orders
    FOR EACH ROW
EXECUTE PROCEDURE trgf_all_history();

alter table sys_params add column tinkoff_url varchar(256);
alter table sys_params add column tinkoff_terminal_key varchar(256);
alter table sys_params add column tinkoff_password varchar(256);

alter table sys_params_history add column tinkoff_url varchar(256);
alter table sys_params_history add column tinkoff_terminal_key varchar(256);
alter table sys_params_history add column tinkoff_password varchar(256);
