CREATE SEQUENCE company_infos_seq
    INCREMENT 1
    MINVALUE 1
    MAXVALUE 9223372036854775807
    START 1
    CACHE 1;

CREATE TABLE company_infos
(
    id            BIGINT PRIMARY KEY DEFAULT nextval('company_infos_seq'),
    type_comp    VARCHAR NOT NULL,
    legal_name_comp VARCHAR NOT NULL,
    inn           VARCHAR NOT NULL,
    kpp           VARCHAR NOT NULL,
    ogrn          VARCHAR,
    bik           VARCHAR,
    payment_account VARCHAR,
    correspondent_account VARCHAR,
    bank_name      VARCHAR,
    legal_address  VARCHAR,
    actual_address VARCHAR,
    name_ceo       VARCHAR,
    name_post      VARCHAR,
    post_address   VARCHAR,
    sys_operation character varying(255),
    sys_ds        timestamp with time zone,
    sys_name      character varying(255),
    sys_login     character varying(255)
);

CREATE TABLE company_infos_history
(
    history_id    bigint PRIMARY KEY NOT NULL,
    id            BIGINT             NOT NULL,
    type_comp    VARCHAR NOT NULL,
    legal_name_comp VARCHAR NOT NULL,
    inn           VARCHAR NOT NULL,
    kpp           VARCHAR NOT NULL,
    ogrn          VARCHAR,
    bik           VARCHAR,
    payment_account VARCHAR,
    correspondent_account VARCHAR,
    bank_name      VARCHAR,
    legal_address  VARCHAR,
    actual_address VARCHAR,
    name_ceo       VARCHAR,
    name_post      VARCHAR,
    post_address   VARCHAR,
    sys_operation character varying(255),
    sys_ds        timestamp with time zone,
    sys_name      character varying(255),
    sys_login     character varying(255)
);

CREATE TRIGGER trg_company_infos_history
    BEFORE INSERT OR UPDATE OR DELETE
                     ON company_infos
                         FOR EACH ROW
                         EXECUTE PROCEDURE trgf_all_history();

alter table users add column company_info_id bigint NOT NULL default 0;
alter table users_history add column company_info_id bigint;