DROP TABLE questions IF EXISTS;
DROP SEQUENCE question_seq IF EXISTS;
DROP TABLE topics IF EXISTS;
DROP SEQUENCE topic_seq IF EXISTS;
DROP TABLE test_questions IF EXISTS;


CREATE SEQUENCE question_seq
  AS INTEGER
  START WITH 100000;

CREATE TABLE questions
(
  id               INTEGER GENERATED BY DEFAULT AS SEQUENCE question_seq PRIMARY KEY,
  description         VARCHAR(64)                 NOT NULL,
  topic_id            INTEGER                 NOT NULL,
  type                VARCHAR(10)             NOT NULL,
  level               VARCHAR(10)             NOT NULL,
  position            VARCHAR(32)             NOT NULL,
  increased_complexity boolean default false
);

CREATE TABLE test_questions (
    test_id INTEGER NOT NULL,
    question_id  INTEGER NOT NULL,
    sys_operation character varying(255),
    sys_ds timestamp without time zone,
    sys_name character varying(255),
    sys_login character varying(255),
    CONSTRAINT test_question_idx UNIQUE (test_id, question_id)
);


CREATE SEQUENCE topic_seq
  AS INTEGER
  START WITH 100000;

CREATE TABLE topics
(
  id               INTEGER GENERATED BY DEFAULT AS SEQUENCE topic_seq PRIMARY KEY,
  name             VARCHAR(64)            NOT NULL
);
CREATE UNIQUE INDEX topics_name_idx
  ON topics (name);
