DROP TABLE user_roles IF EXISTS;
DROP TABLE users IF EXISTS CASCADE;
DROP SEQUENCE user_seq IF EXISTS;

CREATE SEQUENCE user_seq
    AS INTEGER
    START WITH 100000;

CREATE TABLE users
(
    id                  INTEGER GENERATED BY DEFAULT AS SEQUENCE user_seq PRIMARY KEY,
    email               VARCHAR(255)            NOT NULL,
    phone               VARCHAR(15),
    password            VARCHAR(255)            NOT NULL,
    registered          TIMESTAMP DEFAULT now() NOT NULL,
    enabled             BOOLEAN   DEFAULT TRUE  NOT NULL,
    parent_id           INTEGER,
    confirmed           BOOLEAN   DEFAULT FALSE NOT NULL,
    confirmation_code   VARCHAR(128),
    reset_password_code VARCHAR(128),
    first_name          varchar(128),
    last_name           varchar(128),
    middle_name         varchar(128),
    company_info_id     INTEGER,
);
CREATE UNIQUE INDEX users_unique_email_idx
    ON USERS (email);
CREATE UNIQUE INDEX users_unique_phone_idx
    ON USERS (phone);

CREATE TABLE user_roles
(
    user_id INTEGER NOT NULL,
    role    VARCHAR(255),
    CONSTRAINT user_roles_idx UNIQUE (user_id, role),
    FOREIGN KEY (user_id) REFERENCES USERS (id) ON DELETE CASCADE
);
