import {Icon, IconButton, Table, Tooltip, Whisper} from "rsuite";
import React from "react";
import trashIcon from "../../images/trash_icon.svg";
import {language} from "../../content/language";
import {styleConstants} from "../../constants/style.constants";
const { Cell } = Table;

export const DeleteCell = ({hasEditPermit, onClickAction, ...props}) => {
    const ThisCell = ({onClickAction, ...props}) => {
        return(
            <Cell {...props} style={{paddingTop: styleConstants.TABLE_BODY_CONTENT_PADDING_VERTICAL}}>
                <IconButton
                    appearance="subtle"
                    icon={<Icon icon={trashIcon}/>}
                    onClick={onClickAction}
                />
            </Cell>
        );
    };
    if (!hasEditPermit) {
        return (
            <Whisper placement="right" trigger="hover" speaker={<Tooltip>{language.NO_PERMISSIONS}</Tooltip>}>
                <ThisCell {...props}/>
            </Whisper>
        );
    } else {
        return (
            <ThisCell {...props} onClickAction={onClickAction}/>
        );
    }
};