import {Button, ButtonToolbar, FormGroup} from "rsuite";
import React from "react";
import {language} from "../../content/language";


export const FilterButtonGroup = ({filterAction, clearFilterAction, toggleFilterAction, ...props}) => {
    return (
        <div>
            <FormGroup>
                <ButtonToolbar>
                    <Button onClick={filterAction} style={{width: 150}} appearance="primary">{language.DO_FILTER}</Button>
                    <Button onClick={clearFilterAction} style={{width: 150, marginLeft: 10}}
                            appearance="default">{language.CLEAR_FILTER}</Button>
                    <Button onClick={toggleFilterAction} style={{width: 80, marginLeft: 10}}
                            appearance="default">{language.TOGGLE_FILTER}</Button>
                </ButtonToolbar>
            </FormGroup>
        </div>
    );
};