export const apiConstants = {
    USERS: '/users',
    COMPANY_INFO: '/company-info',
    USER_REGISTER: '/users/register',
    USER_REGISTER_CONFIRM: function (confirm) {
        return '/users/register?confirm=' + confirm;
    },
    USER_BALANCE: '/users/balance',
    USER: function (id) {
        return '/users/' + id;
    },
    USERS_PROFILE: '/users/profile',
    USERS_RESET_PASSWORD: function (email) {
        return '/users/reset-password?email=' + email;
    },
    USERS_RESET_PASSWORD_CONFIRM: function (resetCode) {
        return '/users/reset-password?resetCode=' + resetCode;
    },

    ORDERS: '/orders',
    ORDERS_REQUEST_DOCUMENTS: '/orders/documents',
    DOWNLOAD_INVOICE: function (id) {
        return '/orders/invoice/' + id;
    },

    DOWNLOAD_OFFER: '/orders/offer/',

    TESTS: '/tests',
    TESTS_COUNT: '/tests/count',

    TEST: function (id) {
        return '/tests/' + id;
    },

    CANDIDATE_TESTS: '/candidate-tests',
    CANDIDATE_TEST: function (testId) {
        return '/candidate-tests/' + testId;
    },
    CANDIDATE_TEST_QUESTIONS: function (testId) {
        return '/candidate-tests/' + testId + '/questions';
    },

    TOPIC_QUESTIONS: function (topicId) {
        return '/topics/' + topicId + '/questions';
    },

    QUESTIONS: '/questions',

    QUESTION: function (id) {
        return '/questions/' + id;
    },

    TOPICS: '/topics',

    TOPIC: function (id) {
        return '/topics/' + id;
    },

    STATUS_SUCCESS: 'success',
    STATUS_FAIL: 'fail'
};