import { createStore, applyMiddleware } from 'redux';
import thunk from 'redux-thunk';
import { createLogger } from 'redux-logger';
import rootReducer from '../reducers';

let middleware = [];
if (process.env.ENVIRONMENT === 'prod') {
    middleware = [...middleware, thunk];
} else {
    middleware = [...middleware, thunk, createLogger()];
}

export const store = createStore(
    rootReducer,
    applyMiddleware(...middleware)
);