import React from 'react';
import { render } from 'react-dom';
import { Provider } from 'react-redux';

import { store } from './helpers/store';
import { App } from './App/App';
import { IntlProvider } from 'rsuite';
import ruRU from 'rsuite/lib/IntlProvider/locales/ru_RU';

render(
    <Provider store={store}>
        <IntlProvider locale={ruRU}>
                <App />
        </IntlProvider>
    </Provider>,
    document.getElementById('app')
);