import { testConstants } from "../constants/test.constants";

const initialState = {
    items: [],
    totalElements: 0,
    totalPages: 0,
    loading: false,
    error: null
};

const candidateTestsList = (state = initialState, action) => {
    switch (action.type) {
        case testConstants.GET_CANDIDATE_TESTS_REQUEST:
            return {
                ...state,
                loading: true,
                error: null
            };
        case testConstants.GET_CANDIDATE_TESTS_SUCCESS:
            return {
                ...state,
                loading: false,
                items: action.candidateTests.data,
                totalElements: action.candidateTests.totalElements,
                totalPages: action.candidateTests.totalPages,
            };
        case testConstants.GET_CANDIDATE_TESTS_FAILURE:
            return {
                ...state,
                loading: false,
                error: action.error,
                items: []
            };
        default:
            return state
    }
};

export default candidateTestsList;