import { orderConstants } from "../constants/orders.constants";

const initialState = {
    items: [],
    totalElements: 0,
    totalPages: 0,
    loading: false,
    error: null
};

const ordersList = (state = initialState, action) => {
    switch (action.type) {
        case orderConstants.GET_ORDERS_REQUEST:
            return {
                ...state,
                loading: true,
                error: null
            };
        case orderConstants.GET_ORDERS_SUCCESS:
            return {
                ...state,
                loading: false,
                items: action.orders.data,
                totalElements: action.orders.totalElements,
                totalPages: action.orders.totalPages,
            };
        case orderConstants.GET_ORDERS_FAILURE:
            return {
                ...state,
                loading: false,
                error: action.error,
                items: []
            };
        default:
            return state
    }
};

export default ordersList;