import {questionConstants} from "../constants/question.constants";
import {testConstants} from "../constants/test.constants";

const initialState = {
    question: {},
    loading: false,
    error: null,
    easyQuestionsCount: 0,
    allQuestionsCount: 0,
};

const questionDetails = (state = initialState, action) => {
    switch (action.type) {
        case questionConstants.GET_QUESTION_BY_ID_REQUEST:
            return {
                ...state,
                loading: true,
                error: null
            };
        case questionConstants.GET_QUESTION_BY_ID_SUCCESS:
            return {
                ...state,
                loading: false,
                question: action.question
            };
        case questionConstants.CREATE_QUESTION_SUCCESS:
            return {
                ...state,
                question: action.question,
                creating: false
            };
        case questionConstants.GET_QUESTION_BY_ID_FAILURE:
            return {
                ...state,
                loading: false,
                error: action.error,
                question: {}
            };
        case testConstants.COUNT_QUESTIONS_SUCCESS:
            return {
                ...state,
                easyQuestionsCount: action.countQuestions.easyQuestionsCount,
                allQuestionsCount: action.countQuestions.allQuestionsCount,
            };
        default:
            return {
                ...state,
                creating: true
            };
    }
};

export default questionDetails;