import { questionConstants } from "../constants/question.constants";

const initialState = {
    items: [],
    totalElements: 0,
    totalPages: 0,
    loading: false,
    error: null
};

const questionsList = (state = initialState, action) => {
    switch (action.type) {
        case questionConstants.GET_QUESTIONS_REQUEST:
            return {
                ...state,
                loading: true,
                error: null
            };
        case questionConstants.GET_QUESTIONS_SUCCESS:
            return {
                ...state,
                loading: false,
                items: action.questions.data,
                totalElements: action.questions.totalElements,
                totalPages: action.questions.totalPages,
            };
        case questionConstants.DELETE_QUESTION_SUCCESS:
            return {
                ...state,
                items: state.items.filter(question => question.id != action.questionId),
                totalElements: --state.totalElements
            };
        case questionConstants.GET_QUESTIONS_FAILURE:
            return {
                ...state,
                loading: false,
                error: action.error,
                items: []
            };
        default:
            return state
    }
};

export default questionsList;