import { userConstants } from "../constants/user.constants";

const initialState = {
    items: [],
    loading: false,
    error: null
};

const relatedUsersList = (state = initialState, action) => {
    switch (action.type) {
        case userConstants.GET_RELATED_USERS_REQUEST:
            return {
                ...state,
                loading: true,
                error: null
            };
        case userConstants.GET_RELATED_USERS_SUCCESS:
            return {
                ...state,
                loading: false,
                items: action.users.data,
            };
        case userConstants.DELETE_RELATED_USER_SUCCESS:
            return {
                ...state,
                items: state.items.filter(user => user.email != action.email)
            };
        case userConstants.CREATE_RELATED_USER_SUCCESS:
            state.items.push(action.user);
            return {
                ...state,
                items: state.items
            };
        case userConstants.GET_RELATED_USERS_FAILURE:
            return {
                ...state,
                loading: false,
                error: action.error,
                items: []
            };
        default:
            return state
    }
};

export default relatedUsersList;