import { sectionConstants } from "../constants/section.constants";

const initialState = {
    items: [],
    totalElements: 0,
    totalPages: 0,
    loading: false,
    error: null
};

const sectionsList = (state = initialState, action) => {
    switch (action.type) {
        case sectionConstants.GET_SECTIONS_REQUEST:
            return {
                ...state,
                loading: true,
                error: null
            };
        case sectionConstants.GET_SECTIONS_SUCCESS:
            return {
                ...state,
                loading: false,
                items: action.sections.data,
                totalElements: action.sections.totalElements,
                totalPages: action.sections.totalPages,
            };
        case sectionConstants.GET_SECTIONS_FAILURE:
            return {
                ...state,
                loading: false,
                error: action.error,
                items: []
            };
        default:
            return state
    }
};

export default sectionsList;