import {testConstants} from "../constants/test.constants";

const initialState = {
    test: {},
    loading: false,
    error: null
};

const testDetails = (state = initialState, action) => {
    switch (action.type) {
        case testConstants.GET_TEST_BY_ID_REQUEST:
            return {
                ...state,
                loading: true,
                error: null
            };
        case testConstants.GET_TEST_BY_ID_SUCCESS:
            return {
                ...state,
                loading: false,
                test: action.test
            };
        case testConstants.GET_TEST_BY_ID_FAILURE:
            return {
                ...state,
                loading: false,
                error: action.error,
                test: {}
            };
        default:
            return state
    }
};

export default testDetails;