import { testConstants } from "../constants/test.constants";

const initialState = {
    items: [],
    totalElements: 0,
    totalPages: 0,
    loading: false,
    error: null
};

const testsList = (state = initialState, action) => {
    switch (action.type) {
        case testConstants.GET_TESTS_REQUEST:
            return {
                ...state,
                loading: true,
                error: null
            };
        case testConstants.GET_TESTS_SUCCESS:
            return {
                ...state,
                loading: false,
                items: action.tests.data,
                totalElements: action.tests.totalElements,
                totalPages: action.tests.totalPages,
            };
        case testConstants.DELETE_TEST_SUCCESS:
            return {
                ...state,
                items: state.items.filter(test => test.id != action.testId),
                totalElements: --state.totalElements
            };
        case testConstants.GET_TESTS_FAILURE:
            return {
                ...state,
                loading: false,
                error: action.error,
                items: []
            };
        default:
            return state
    }
};

export default testsList;