import { topicConstants } from "../constants/topic.constants";

const initialState = {
    items: [],
    totalElements: 0,
    totalPages: 0,
    loading: false,
    error: null
};

const topicsList = (state = initialState, action) => {
    switch (action.type) {
        case topicConstants.GET_TOPICS_REQUEST:
            return {
                ...state,
                loading: true,
                error: null
            };
        case topicConstants.GET_TOPICS_SUCCESS:
            let i = [];
            action.topics.data.forEach(section => section.topics.forEach(topic => i.push(topic)));
            return {
                ...state,
                loading: false,
                items: i,
                totalElements: action.topics.totalElements,
                totalPages: action.topics.totalPages,
            };
        case topicConstants.GET_TOPICS_FAILURE:
            return {
                ...state,
                loading: false,
                error: action.error,
                items: []
            };
        default:
            return state
    }
};

export default topicsList;