import { userConstants } from "../constants/user.constants";

const initialState = {
    profile: {},
    error: null
};

const userProfile = (state = initialState, action) => {
    switch (action.type) {
        case userConstants.UPDATE_PROFILE_REQUEST:
            return {
                ...state,
                error: null
            };
        case userConstants.UPDATE_PROFILE_SUCCESS:
            return {
                ...state,
                profile: action.profile
            };
        case userConstants.UPDATE_PROFILE_FAILURE:
            return {
                ...state,
                error: action.error,
                profile: {}
            };
        default:
            return state
    }
};

export default userProfile;